# Invite subscribers

URL: /docs/api-reference/endpoints/project-subscribers/project.subscribers.invite

`POST /project/{projectId}/subscribers/invite`

Base URL: https://api.orvelt.com/v1

Email invitations to subscribe to a project.

API-key permission: `subscribers` invite. Business sessions and resource-authorized OAuth tokens are also supported.

## Authentication

```json
[
  {
    "businessSession": []
  },
  {
    "businessApiKey": []
  },
  {
    "businessOAuth": []
  }
]
```

## Parameters

```json
[
  {
    "in": "path",
    "required": true,
    "name": "projectId",
    "schema": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  }
]
```

## Request body

```json
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "subscribers": {
            "minItems": 1,
            "maxItems": 100,
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 120
                },
                "email": {
                  "type": "string",
                  "maxLength": 320,
                  "format": "email",
                  "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
                }
              },
              "required": [
                "name",
                "email"
              ]
            }
          }
        },
        "required": [
          "subscribers"
        ]
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "OK",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "invited": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 120
                  },
                  "email": {
                    "type": "string",
                    "maxLength": 320,
                    "format": "email",
                    "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
                  }
                },
                "required": [
                  "name",
                  "email"
                ]
              }
            },
            "skipped": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 120
                  },
                  "email": {
                    "type": "string",
                    "maxLength": 320,
                    "format": "email",
                    "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
                  },
                  "reason": {
                    "type": "string",
                    "enum": [
                      "already_subscribed",
                      "already_invited",
                      "duplicate",
                      "delivery_failed"
                    ]
                  }
                },
                "required": [
                  "name",
                  "email",
                  "reason"
                ]
              }
            },
            "invitationAllowance": {
              "type": "object",
              "properties": {
                "used": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9007199254740991
                },
                "limit": {
                  "type": "number",
                  "const": 100
                },
                "remaining": {
                  "type": "integer",
                  "minimum": 0,
                  "maximum": 9007199254740991
                },
                "resetsAt": {
                  "type": "string",
                  "format": "date-time",
                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
                }
              },
              "required": [
                "used",
                "limit",
                "remaining",
                "resetsAt"
              ]
            }
          },
          "required": [
            "invited",
            "skipped",
            "invitationAllowance"
          ]
        }
      }
    }
  },
  "400": {
    "description": "Invalid request.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http400Error"
        }
      }
    }
  },
  "401": {
    "description": "Authentication is required.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http401Error"
        }
      }
    }
  },
  "403": {
    "description": "You do not have permission to perform this action., This action would exceed the current plan limit.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http403Error"
        }
      }
    }
  },
  "404": {
    "description": "The requested resource was not found.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http404Error"
        }
      }
    }
  },
  "409": {
    "description": "The requested resource has changed.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http409Error"
        }
      }
    }
  },
  "429": {
    "description": "Too many requests., A delivery link was already emailed to this customer recently.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http429Error"
        }
      }
    }
  },
  "503": {
    "description": "The service is temporarily unavailable.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Http503Error"
        }
      }
    }
  }
}
```

## Components

```json
{
  "securitySchemes": {
    "businessSession": {
      "type": "apiKey",
      "in": "cookie",
      "name": "orvelt-biz.session_token",
      "description": "An existing Business session. Browser requests must also pass origin and CSRF checks."
    },
    "businessApiKey": {
      "type": "apiKey",
      "in": "header",
      "name": "x-api-key",
      "description": "An organization API key. Keep keys on your server."
    },
    "businessOAuth": {
      "type": "http",
      "scheme": "bearer",
      "bearerFormat": "JWT",
      "description": "OAuth access token for the Business API resource. Requires live consent, per-resource access, and current membership."
    }
  },
  "schemas": {
    "UndefinedError": {
      "title": "UndefinedError",
      "type": "object",
      "properties": {
        "defined": {
          "const": false
        },
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "message"
      ]
    },
    "UnexpectedHttpError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": false
        },
        "code": {
          "type": "string"
        },
        "status": {
          "type": "number"
        },
        "message": {
          "type": "string"
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "BadRequestError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "BAD_REQUEST"
        },
        "status": {
          "const": 400
        },
        "message": {
          "type": "string",
          "default": "Invalid request."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http400Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/BadRequestError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "UnauthorizedError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "UNAUTHORIZED"
        },
        "status": {
          "const": 401
        },
        "message": {
          "type": "string",
          "default": "Authentication is required."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http401Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/UnauthorizedError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ForbiddenError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "FORBIDDEN"
        },
        "status": {
          "const": 403
        },
        "message": {
          "type": "string",
          "default": "You do not have permission to perform this action."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "PlanLimitReachedError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "PLAN_LIMIT_REACHED"
        },
        "status": {
          "const": 403
        },
        "message": {
          "type": "string",
          "default": "This action would exceed the current plan limit."
        },
        "data": {
          "type": "object",
          "properties": {
            "metric": {
              "type": "string",
              "enum": [
                "privateAnswersPerOrganizationMonth",
                "preverifiedLinksPerProjectMonth",
                "goalsPerProject",
                "activeQuestionsPerProject",
                "additionalTeamsPerOrganization",
                "membersPerAdditionalTeam",
                "knowledgebaseStorageBytes"
              ]
            },
            "currentUsage": {
              "type": "number",
              "minimum": 0
            },
            "limit": {
              "type": "number",
              "minimum": 0
            },
            "upgradePath": {
              "type": "string",
              "const": "/billing"
            }
          },
          "required": [
            "metric",
            "currentUsage",
            "limit",
            "upgradePath"
          ]
        }
      },
      "required": [
        "defined",
        "code",
        "status",
        "message",
        "data"
      ]
    },
    "Http403Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ForbiddenError"
        },
        {
          "$ref": "#/components/schemas/PlanLimitReachedError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "NotFoundError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "NOT_FOUND"
        },
        "status": {
          "const": 404
        },
        "message": {
          "type": "string",
          "default": "The requested resource was not found."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http404Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/NotFoundError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ConflictError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "CONFLICT"
        },
        "status": {
          "const": 409
        },
        "message": {
          "type": "string",
          "default": "The requested resource has changed."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http409Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ConflictError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "TooManyRequestsError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "TOO_MANY_REQUESTS"
        },
        "status": {
          "const": 429
        },
        "message": {
          "type": "string",
          "default": "Too many requests."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "LinkEmailCooldownError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "LINK_EMAIL_COOLDOWN"
        },
        "status": {
          "const": 429
        },
        "message": {
          "type": "string",
          "default": "A delivery link was already emailed to this customer recently."
        },
        "data": {
          "type": "object",
          "properties": {
            "nextEligibleAt": {
              "type": "string",
              "format": "date-time",
              "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
            }
          },
          "required": [
            "nextEligibleAt"
          ]
        }
      },
      "required": [
        "defined",
        "code",
        "status",
        "message",
        "data"
      ]
    },
    "Http429Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/TooManyRequestsError"
        },
        {
          "$ref": "#/components/schemas/LinkEmailCooldownError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "ServiceUnavailableError": {
      "type": "object",
      "properties": {
        "defined": {
          "type": "boolean",
          "const": true
        },
        "code": {
          "const": "SERVICE_UNAVAILABLE"
        },
        "status": {
          "const": 503
        },
        "message": {
          "type": "string",
          "default": "The service is temporarily unavailable."
        },
        "data": {}
      },
      "required": [
        "defined",
        "code",
        "status",
        "message"
      ]
    },
    "Http503Error": {
      "oneOf": [
        {
          "$ref": "#/components/schemas/ServiceUnavailableError"
        },
        {
          "$ref": "#/components/schemas/UnexpectedHttpError"
        }
      ]
    },
    "__schema0": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        },
        {
          "type": "boolean"
        },
        {
          "type": "null"
        },
        {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/__schema0"
          }
        },
        {
          "type": "object",
          "propertyNames": {
            "type": "string"
          },
          "additionalProperties": {
            "$ref": "#/components/schemas/__schema0"
          }
        }
      ]
    }
  }
}
```